Update a webhook
PUT
https://api.propexo.com/v1/webhooks/:webhook_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
webhook_id stringrequired
The ID of the resource.
Request
This endpoint expects an object.
- Array [
- ]
urlstring<uri>
The url to send the webhook to
headers object[]
Optional headers to send with the webhook
headerstringrequired
valuestringrequired
activeboolean
Whether the webhook is active
secretstring
The secret to use to sign the webhook payload.
Possible values: >= 10 characters
triggersstring[]
The events that will trigger the webhook
Possible values: >= 1
Show 7 enum values
DATA_UPDATEDATA_NEWJOB_FAILUREJOB_SUCCESSSYNC_COMPLETEFIRST_SYNC_COMPLETEWRITE_OPERATION_FAILUREmodelstring
The model for the webhook trigger to monitor. Only applies to DATA_UPDATE and DATA_NEW triggers
Show 114 enum values
accounting_entitiesaddress_typesamenitiesap_codesap_codes_to_construction_jobapplicant_petsapplicantsapplicants_to_applicationsapplicants_to_eventsapplicants_to_rentable_itemsapplication_statusesapplicationscall_logscharge_code_typescharge_code_types_to_charge_timingscharge_codescharge_timingsconcessionsconstruction_job_detailsconstruction_jobscontract_detailscontractscrm_agentscrm_amenitiescrm_attributionscrm_communitiescrm_communities_to_agentscrm_communities_to_attributionscrm_eventscrm_listingscrm_pet_policiescrm_prospectsdeposit_summariesdepositsemployeesentrata_lease_periodsentrata_unit_typesentrata_vendor_locationsevent_resultsevent_results_to_event_typesevent_sub_typesevent_typeseventsfeesfile_typesfinancial_accountsfloor_plansintegration_configuration_meta_datainventory_itemsinvoice_itemsinvoiceslead_petslead_relationshipslead_sourcesleadsleads_to_eventsleads_to_rentable_itemslease_serviceslease_transfersleaseslistingslocationsnote_categoriesownersowners_to_propertiespayable_register_itemspayable_registerspet_typespropertiesproperty_listsproperty_lists_to_propertiesproperty_office_hourspurchase_order_itemspurchase_order_items_to_invoicespurchase_ordersrecurring_resident_chargesrentable_item_assignmentsrentable_itemsrentvine_application_templatesresident_allocationsresident_chargesresident_insuranceresident_paymentsresident_petsresident_vehiclesresidentsresidents_to_eventsresidents_to_leasesresidents_to_rentable_itemsscreeningsservice_request_access_contactsservice_request_categoriesservice_request_locationsservice_request_notesservice_request_prioritiesservice_request_problemsservice_request_statusesservice_request_vendor_categoriesservice_request_vendor_contactsservice_request_vendorsservice_request_vendors_insuranceservice_request_vendors_to_propertiesservice_requestsservice_requests_to_employeesservice_requests_to_vendorstimezonestransactionsunit_detailsunit_pricingunitsunits_to_amenityvendor_insurance_coverage_typesvendor_insurance_policy_typesvendor_payment_typesResponse
Successful response
- Array [
- ]
- Array [
- ]
result objectrequired
idstringrequired
The unique identifier for the webhook
created_atstringrequired
The date the webhook was created
updated_atstringrequired
The date the webhook was last updated
urlstringrequired
The url to send the webhook to
headers object[]required
headerstringrequired
valuestringrequired
activebooleanrequired
The status of the webhook
secretstringrequired
The secret used to sign the webhook
systemstringrequired
The environment in which the webhook runs
Show 2 enum values
PRODUCTIONSANDBOXtriggers object[]
idstringrequired
The ID of the trigger
triggerstringrequired
The name of the trigger
modelstring | nullnullablerequired
The model that triggers the webhook
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/webhooks/:webhook_id
curl -X PUT https://api.propexo.com/v1/webhooks/:webhook_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"url": "string",
"headers": [
{
"header": "string",
"value": "string"
}
],
"active": true,
"secret": "string",
"triggers": [
"DATA_UPDATE"
],
"model": "accounting_entities"
}'
200 Successful response
{
"result": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"url": "string",
"headers": "Unknown Type: array,null",
"active": true,
"secret": "string",
"system": "PRODUCTION",
"triggers": [
{
"id": "string",
"trigger": "string",
"model": "string"
}
]
}
}